Application: gvSIG desktop - gvSIG bugs #2544
05/28/2014 02:13 PM - Mario Carrera
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Application

Target version: 2.1.0-2246-testing

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2238 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

When a Translation package that contains a new language is installed in gvSIG 2.1, the new language doesn't appear in the
Preferences window to be selected.

Languages that are included in the latest Translations package (at this moment it's the BN 7) have to be added in the Preferences
Window in gvSIG for the next build (Bulgarian, Danish, Persian, and Khmer).

Associated revisions

Revision 41390 - 06/08/2014 05:32 PM - Joaquin del Cerro Murciano

Movido el soporte de Locales de la libreria y el plugin de i18n a andami.

Se ha creado un LocaleManager para su gestion.

Solo gestiona los locales, no la traduccion de mensajes.

Ademas se ha anadido en el instalador de traducciones soporte para dar de alta nuevos idiomas a traves de un fichero locale.config en el raiz del

paquete.

refs #2544

Revision 41693 - 09/03/2014 12:50 PM - Joaquin del Cerro Murciano

refs #2544. Modificada la carga de los locales del fichero de configuracion para que ademas cargue tambien los que se han instalado con los

paquetes de traducciones.

Revision 41694 - 09/04/2014 05:59 AM - Joaquin del Cerro Murciano

parece que ya carga todos los locales, refs #2544

History

#1 - 05/28/2014 05:21 PM - Alvaro Anguix

- Description updated

- Category set to Application

- Assignee set to Joaquin del Cerro Murciano
- Target version set to 2.1.0-2259-rc3

Esta creo que debe entrar de cara a la final.

#2 - 06/05/2014 09:54 AM - Alvaro Anguix
- Assignee changed from Joaquin del Cerro Murciano to Francisco Diaz Carsi

#3 - 06/08/2014 11:29 PM - Joaquin del Cerro Murciano
- File locale.config added
- Status changed from New to Fixed

He movido a anadami la gestion de los locales y credo un LocaleManager, separandola de la de las traducciones (libreria y plugin de i18n), asi he

podido hacer que se puedan dar de alta los idiomas desde la instalacion de un paquete de traducciones.

Para eso hay que crear un ficherito locale.config en el paquete, junto a package.info.

Este fichero debera contener la lista de locales que aporta ese paquete, de forma que al instalar el paquete si alguno no existe lo da de alta.

He probado a afiadirselo a
gvSIG-desktop-2.1.0-translations.all-1.0.0-7-testing-all-all-j1_5.gvspkg

En local para hacer las pruebas y parece que funciona.
Adjunto el fichero que he usado.
Habria que crear un nuevo build de translations.all (el 8) con ese ficherito y dejarlo en downloads para que esten disponibles los nuevos idiomas en

proximos builds.

(Estoy teniendo problemas de red para subir los cambios al SVN)

#4 - 06/09/2014 03:13 AM - Joaquin del Cerro Murciano

Ays,

se me olvidaba.

No se si me he liado yo o es que habia un pequefio lio con los
nombres del locale "valenciano”.

Me ha parecido que en el build 7 de translations.all habia un
fichero de traduccones para el catalan (ca) y otro para el
valenciano (vl). En el codigo el valenciano estaba puesto

como "va". Lo he cambiado a "vI", pero si ese no es el valenciano

avisame y lo vuelvo a poner con "va".

#5 - 06/09/2014 05:20 PM - Mario Carrera

La codificacion que teniamos para el valenciano es "vI". Yo tengo el BN2228 con el text_vl.properties (no tengo un "va") y si que arranca en
valenciano, aunque aun quedan bastantes cadenas por actualizar.

Habia también un text_ca, pero si lo renombras sigue viéndose gvSIG en castellano, por lo que parece que llama al "vl".

#6 - 06/13/2014 01:49 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2229-testing

#7 - 06/15/2014 06:41 PM - Alvaro Anguix

- Status changed from Fixed to New

Siguen sin aparecer los nuevos idiomas en el listado que encontramos en las preferencias de gvSIG

#8 - 06/15/2014 06:41 PM - Alvaro Anguix
- gvSIG build changed from 2227 to 2229
- Target version changed from 2.1.0-2229-testing to 2.1.0-2259-rc3

#9 - 06/17/2014 11:05 AM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#10 - 06/27/2014 09:49 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2230-testing

#11 - 07/02/2014 04:29 AM - Alvaro Anguix

- Status changed from Fixed to New

Siguen sin aparecen los idiomas nuevos.

#12 - 07/02/2014 04:29 AM - Alvaro Anguix

- Target version changed from 2.1.0-2230-testing to 2.1.0-2259-rc3

#13 - 07/03/2014 04:50 AM - Mario Carrera

- Status changed from New to Fixed

#14 - 07/21/2014 10:30 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2238-testing

#15 - 07/22/2014 07:04 AM - Mario Carrera

- Status changed from Fixed to New

#16 - 07/22/2014 07:19 AM - Alvaro Anguix

- gvSIG build changed from 2229 to 2238

Actualizo el gvSIG build al 2238, que siguen sin aparecer.

#17 - 07/22/2014 07:42 AM - Alvaro Anguix
- Target version changed from 2.1.0-2238-testing to 2.1.0-2259-rc3

#18 - 07/24/2014 09:44 AM - Joaquin del Cerro Murciano

Por favor... lista de idiomas que deben aparecer y no aparecen.
#19 - 07/25/2014 03:21 AM - Mario Carrera

Serian estos los que no aparecen en las Preferencias para seleccionar:

locale=bg
locale=da
locale=fa

locale=km

Adjunto de todas formas el locale.config completo por si lo quieres aprovechar (esta renombrado para que no te lies con el que estaba ya en el ticket)

#20 - 07/25/2014 11:14 AM - Joaquin del Cerro Murciano

Pues ya lo miro mafana con calma por que en mi instalacion tengo esos idiomas en la pestafna de idiomas del dialogo de preferencias.

bg -> Bulgarian -> 6bnrapcku eank
da -> Danish -> dansk
fa -> Persian (Farsi)

km -> Khmer

#21 - 07/28/2014 05:38 AM - Mario Carrera

Si, a mi me aparecen también, pero si se hace una instalacién limpia no aparecen.

Si se borra la carpeta gvSIG tampoco.

#22 - 09/04/2014 06:01 AM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#23 - 09/08/2014 10:00 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2246-testing

#24 - 09/15/2014 03:28 AM - Alvaro Anguix

- Status changed from Fixed to Closed

Files
locale.config 299 Bytes 06/08/2014 Joaquin del Cerro Murciano
